/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Nov 20, 2009
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSPanel_bindings;

import dstep.foundation.NSObjCRuntime;
import dstep.objc.objc;

package:
extern (C):
	
NSInteger NSRunAlertPanel (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, ...);
NSInteger NSRunInformationalAlertPanel (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, ...);
NSInteger NSRunCriticalAlertPanel (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, ...);
NSInteger NSRunAlertPanelRelativeToWindow (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, id docWindow, ...);
NSInteger NSRunInformationalAlertPanelRelativeToWindow (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, id docWindow, ...);
NSInteger NSRunCriticalAlertPanelRelativeToWindow (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, id docWindow, ...);
void NSBeginAlertSheet (id title, id defaultButton, id alternateButton, id otherButton, id docWindow, id modalDelegate, SEL didEndSelector, SEL didDismissSelector, void* contextInfo, id msgFormat, ...);
void NSBeginInformationalAlertSheet (id title, id defaultButton, id alternateButton, id otherButton, id docWindow, id modalDelegate, SEL didEndSelector, SEL didDismissSelector, void* contextInfo, id msgFormat, ...);
void NSBeginCriticalAlertSheet (id title, id defaultButton, id alternateButton, id otherButton, id docWindow, id modalDelegate, SEL didEndSelector, SEL didDismissSelector, void* contextInfo, id msgFormat, ...);
id NSGetAlertPanel (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, ...);
id NSGetInformationalAlertPanel (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, ...);
id NSGetCriticalAlertPanel (id title, id msgFormat, id defaultButton, id alternateButton, id otherButton, ...);
void NSReleaseAlertPanel (id panel);