/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGError;

alias int CGError;

enum _CGError 
{
	kCGErrorSuccess = 0,
	kCGErrorFirst = 1000,
	kCGErrorFailure = kCGErrorFirst,
	kCGErrorIllegalArgument = 1001,
	kCGErrorInvalidConnection = 1002,
	kCGErrorInvalidContext = 1003,
	kCGErrorCannotComplete = 1004,
	kCGErrorNameTooLong = 1005,
	kCGErrorNotImplemented = 1006,
	kCGErrorRangeCheck = 1007,
	kCGErrorTypeCheck = 1008,
	kCGErrorNoCurrentPoint = 1009,
	kCGErrorInvalidOperation = 1010,
	kCGErrorNoneAvailable = 1011,
	kCGErrorApplicationRequiresNewerSystem = 1015,
	kCGErrorApplicationNotPermittedToExecute = 1016,
	kCGErrorApplicationIncorrectExecutableFormatFound = 1023,
	kCGErrorApplicationIsLaunching = 1024,
	kCGErrorApplicationAlreadyRunning = 1025,
	kCGErrorApplicationCanOnlyBeRunInOneSessionAtATime = 1026,
	kCGErrorClassicApplicationsMustBeLaunchedByClassic = 1027,
	kCGErrorForkFailed = 1028,
	kCGErrorRetryRegistration = 1029,
	kCGErrorLast = kCGErrorRetryRegistration
}

