/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 19, 2009
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.foundation.NSJavaSetup_bindings;

import dstep.objc.objc;

extern (C):
package:
	
bool NSJavaNeedsVirtualMachine (id plist);
bool NSJavaProvidesClasses (id plist);
bool NSJavaNeedsToLoadClasses (id plist);
id NSJavaSetup (id plist);
id NSJavaSetupVirtualMachine ();
id NSJavaObjectNamedInPath (id name, id path);
id NSJavaClassesFromPath (id path, id wanted, bool usesyscl, id* vm);
id NSJavaClassesForBundle (id bundle, bool usesyscl, id* vm);
id NSJavaBundleSetup (id bundle, id plist);
void NSJavaBundleCleanup (id bundle, id plist);