/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.quartzcore.CALayer_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package const id kCAGravityCenter;
		package const id kCAGravityTop;
		package const id kCAGravityBottom;
		package const id kCAGravityLeft;
		package const id kCAGravityRight;
		package const id kCAGravityTopLeft;
		package const id kCAGravityTopRight;
		package const id kCAGravityBottomLeft;
		package const id kCAGravityBottomRight;
		package const id kCAGravityResize;
		package const id kCAGravityResizeAspect;
		package const id kCAGravityResizeAspectFill;
		package const id kCAFilterLinear;
		package const id kCAFilterNearest;
		package const id kCAOnOrderIn;
		package const id kCAOnOrderOut;
		package const id kCATransition;
	}
}

